html {
    --background-color: #dde7f7;
    --main-nav-background-color:rgba(49, 49, 49, 1);
    --btn-background-color:#14B9D5;
    --footer-bcgd-background-color:#000000;
    --text-color: #FFFFFF;
    --text-color-black-to-white: #000000;
    --nav-link-item-first-child-background-color:#89CA62;
  }
  
html[data-theme='dark'] {
    --background-color: #4c5057;
    --main-nav-background-color:rgb(0, 129, 37);
    --btn-background-color:#14d554;
    --text-color: #000000;
    --footer-bcgd-background-color: #FFFFFF;
    --text-color-black-to-white: #FFFFFF;
    --nav-link-item-first-child-background-color:#eeff00;
  }

body {
    font-family: 'Open Sans', sans-serif;
    background-color: var(--background-color);
}

#themeButton {
    background-color: var(--btn-background-color);
    border-radius: 5px;
    padding: 5px 10px;
    font-size: 15px;
    line-height: 20px;
    color: var(--text-color);
    margin-right: 10px;
    text-transform: uppercase;
    font-family: 'Open Sans', sans-serif;
}

.main-nav {
    display: flex;
    align-items: center;
    background-color: var(--main-nav-background-color);
}

.main-logo {
    display: flex;
    margin-right: auto;
    margin-bottom: 22px;
    margin-top: 22px;
}

.main-title {
    margin-left: 27px;
    font-weight: bold;
    font-size: 22px;
    line-height: 30px;
    color: var(--text-color);
}

.main-menu {
    display: flex;
    flex-grow: 2;
    justify-content: center;
    margin-top: 28px;
    margin-bottom: 26px;
}

.main-menu-item {
    justify-content: space-around;
    list-style: none;
    margin-right: 35px;
}

.main-menu-link {
    text-decoration: none;
    font-size: 15px;
    line-height: 20px;
    color: var(--text-color);
    text-transform: uppercase;
}

.main-menu-link:hover {
    color:  var(--btn-background-color);
}

.search {
    background-color:rgba(0, 0, 0, 1);
    padding: 27px;
}

.nav-section {
    padding-top: 164px;
    padding-bottom: 74px;
    background-image: url(../imgs/header-background.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.section-title {
    color:  var(--btn-background-color);
    font-weight: bold;
    font-size: 27px;
    line-height: 37px;
    text-transform: uppercase;
    text-align: center;
    padding-top: 48px;
    padding-bottom: 52px;
}

.title-white {
    color: white;
}

.nav-link-list {
    display: flex;
    justify-content: center;
}
.nav-link-item {
    text-align: center;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.nav-link {
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    line-height: 25px;
    color: var(--text-color);
}

.nav-link-item:first-child {
    padding: 16px 29px 17px 19px;
    background-color: var(--nav-link-item-first-child-background-color);
    margin-right: 20px;

}

.nav-link-item:last-child {
    padding: 16px 19px 17px 30px;
    background-color: var(--btn-background-color);
}

.gallery {
    text-align: center;
    background-color: var(--background-color);
    padding-bottom: 72px;
}

.container {
    margin: 0 auto;
    max-width: 1170px;
}

.gallery-list {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 840px;
    gap: 30px;
}

.gallery-img-title {
    font-weight: bold;
    font-size: 18px;
    line-height: 25px;
    padding-top: 20px;
    padding-bottom: 22px;
    color: var(--text-color-black-to-white);
    background-color: var(--background-color);
}

.clients-section {
    background-image: url(../imgs/our\ most\ popular\ clients.jpeg);
    padding-top: 106px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.clients-title {
    position: relative;
}

.clients-title::after {
    display: block;
    position: absolute;
    margin-top: 35px;
    margin-left: calc(( 100% - 60px ) / 2);
    content: "";
    width: 60px;
    border-top: 3px solid var(--btn-background-color);
    text-align: center;
    top: 100px; 
} 

.clients-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    grid-column-gap: 58px;
    max-width: 830px;
    padding-top: 207px;
    padding-bottom: 203px; 
}

.porfolio-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}

.news-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 260px 1fr 1fr 260px;
    grid-column-gap: 60px;
    grid-row-gap: 44px;
    justify-items: center;
    align-items: center;
    text-align: end;
    grid-template-areas:
    "item1 item1 item1 item3"
    "item4 item4 item5 item5"
    "item6 item6 item7 item7"
    "item8 item9 item9 item9"
}

.news-list-item1 {
    grid-area: item1;
    display: flex;
    align-items: center;
}

.news-list-item2 {
    grid-area: item2;
}
  
.news-list-item3 {
    grid-area: item3;
    text-align: center;  
}
.news-list-item4 {
    grid-area: item4;      
}

.news-list-item5 {
    grid-area: item5;
}

.news-list-item6 {
    grid-area: item6;      
}

.news-list-item7 {
    grid-area: item7;
}

.news-list-item8 {
    grid-area: item8;    
    text-align: center;  
}

.news-list-item9 {
    grid-area: item9;
    display: flex;
    justify-content: center;
}

.news-list-item10 {
    grid-area: item10;      
}

.news-list-title {
    font-size: 18px;
    line-height: 25px;
    font-weight: bold;
    color: var( --text-color-black-to-white);
    margin-top: 14px;
    margin-bottom: 15px;
}


.news-list-text {
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
    color: var( --text-color-black-to-white);
    }

.footer-bcgd{
    background-color: var(--main-nav-background-color);
}

.footer-section {
    display: grid;
    grid-template-columns: 1fr 38px 64px;
    margin-top: 77px;
    justify-content: space-between;
    align-items: center;
}

.footer-text {
    font-size: 13px;
    line-height: 13px;
    color: var(--text-color);
    padding-top: 29px;
    padding-bottom: 30px;
}
